package PIANOS.datastructures;

public class Equation{

    private Variable[] parameters;
    private String[] equation;
    
    
    public Equation (String[] equation, Variable[] parameters){
	this.equation = equation;
	this.parameters = parameters;
    }
    
    public String[] getEquation (){
	String[] toGet = new String[equation.length];
	for (int i = 0; i < toGet.length; ++i)
	    toGet[i] = new String(equation[i]);
	return toGet;
    }
    
    public Variable[] getParameters (){
	return parameters;
    }

    public void setParameters(Variable[] parameters){
	this.parameters = parameters;
    }

    public void setParameters(Variable parameter){
	Variable[] array = new Variable[1];
	array[0] = parameter;
	setParameters(array);
    }
    
    public String toString(){
	String toReturn = "";
	for (int i = 0; i < equation.length; ++i)
	    toReturn += equation[i];
	toReturn += " parameters: ";
	for(int i=0; i< parameters.length; ++i){
	    toReturn += parameters[i].getName();
	    if (i != parameters.length -1)
		toReturn += ", ";
	}
	return toReturn;
    }
}
